Bug 521735 - 9/7 PulseAudo Update; now bork on alsa-sink.c
Summary: 9/7 PulseAudo Update; now bork on alsa-sink.c
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pulseaudio
Version: 11
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Lennart Poettering
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-08 01:37 UTC by Bob Agel
Modified: 2009-10-15 02:03 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-14 22:05:32 UTC


Attachments (Terms of Use)

Description Bob Agel 2009-09-08 01:37:13 UTC
Description of problem: except for login, no sounds until loads of tweaking.  Now, Master must be set to 100% and starts scratchy at 5X normal volume.  Moving slider just a small amount immediately reduces sound to low levels & returning to 100% eliminates scratchy and loud sound problems.  If you close any application involving sound, the process must be repeated.

Prior to today, sound worked normally.

Version-Release number of selected component (if applicable):
(from "rpm -qa --last | tac") 
pulseaudio-libs-0.9.15-17.fc11                Mon 07 Sep 2009 07:45:40 PM EDT
pulseaudio-0.9.15-17.fc11                     Mon 07 Sep 2009 07:45:44 PM EDT
pulseaudio-module-bluetooth-0.9.15-17.fc11    Mon 07 Sep 2009 07:49:34 PM EDT
pulseaudio-libs-glib2-0.9.15-17.fc11          Mon 07 Sep 2009 07:49:35 PM EDT
pulseaudio-utils-0.9.15-17.fc11               Mon 07 Sep 2009 07:49:35 PM EDT
pulseaudio-module-x11-0.9.15-17.fc11          Mon 07 Sep 2009 07:49:40 PM EDT
pulseaudio-module-gconf-0.9.15-17.fc11        Mon 07 Sep 2009 07:50:15 PM EDT

(Soundcard is VIA VT8233/8235/8237 AC97 with snd_via82xx driver)

How reproducible: To get any sound at all, had to log out of Gnome and into KDE to run sound checks.  Then, had to run <alsamixer -c0> to adjust sound levels back to what I'd recorded in this thread: http://forums.fedoraforum.org/showthread.php?t=229011 (post 6).


Steps to Reproduce:
1. Update PulseAudio
2.  
3.
  
Actual results:
Silence, followed by tweaking, wild volume changes.


Expected results:
Sounds at normal levels would have been nice.

Additional info: /var/log/messages (in part)

Sep  7 20:33:02 localhost dbus-daemon: Rejected send message, 2 matched rules; type="method_call", sender=":1.65" (uid=42 pid=2560 comm="/usr/bin/pulseaudio --start --log-target=syslog ") interface="org.bluez.Manager" member="ListAdapters" error name="(unset)" requested_reply=0 destination="org.bluez" (uid=0 pid=1595 comm="/usr/sbin/bluetoothd "))
Sep  7 20:33:02 localhost pulseaudio[2560]: bluetooth-util.c: Error from ListAdapters reply: org.freedesktop.DBus.Error.AccessDenied
Sep  7 20:33:09 localhost pulseaudio[2124]: reserve-wrap.c: Failed to acquire reservation lock on device 'Audio0': Input/output error
Sep  7 20:33:37 localhost pulseaudio[2899]: pid.c: Daemon already running.
Sep  7 20:33:43 localhost pulseaudio[2124]: reserve-wrap.c: Failed to acquire reservation lock on device 'Audio0': Input/output error
Sep  7 20:34:37 localhost kernel: usb 1-8: reset high speed USB device using ehci_hcd and address 3
Sep  7 20:37:13 localhost pulseaudio[2124]: reserve-wrap.c: Failed to acquire reservation lock on device 'Audio0': Input/output error
Sep  7 20:37:29 localhost pulseaudio[2124]: reserve-wrap.c: Failed to acquire reservation lock on device 'Audio0': Input/output error
Sep  7 20:37:51 localhost pulseaudio[2124]: reserve-wrap.c: Failed to acquire reservation lock on device 'Audio0': Input/output error
Sep  7 20:38:28 localhost kernel: usb 1-8: reset high speed USB device using ehci_hcd and address 3
Sep  7 20:38:39 localhost pulseaudio[2124]: reserve-wrap.c: Failed to acquire reservation lock on device 'Audio0': Input/output error
Sep  7 20:39:08 localhost pulseaudio[2124]: alsa-sink.c: ALSA woke us up to write new data to the device, but there was actually nothing to write!
Sep  7 20:39:08 localhost pulseaudio[2124]: alsa-sink.c: Most likely this is a bug in the ALSA driver 'snd_via82xx'. Please report this issue to the ALSA developers.
Sep  7 20:39:08 localhost pulseaudio[2124]: alsa-sink.c: We were woken up with POLLOUT set -- however a subsequent snd_pcm_avail() returned 0 or another value < min_avail.
Sep  7 20:39:38 localhost pulseaudio[2124]: reserve-wrap.c: Failed to acquire reservation lock on device 'Audio0': Input/output error
Sep  7 20:39:46 localhost pulseaudio[2124]: alsa-sink.c: Increasing wakeup watermark to 30.00 ms
Sep  7 20:39:47 localhost kernel: agpgart-amd64 0000:00:00.0: AGP 3.0 bridge
Sep  7 20:39:47 localhost kernel: agpgart-amd64 0000:00:00.0: putting AGP V3 device into 8x mode
Sep  7 20:39:47 localhost kernel: nvidia 0000:01:00.0: putting AGP V3 device into 8x mode
Sep  7 20:39:51 localhost dbus-daemon: Rejected send message, 2 matched rules; type="method_call", sender=":1.100" (uid=42 pid=3565 comm="/usr/bin/pulseaudio --start --log-target=syslog ") interface="org.bluez.Manager" member="ListAdapters" error name="(unset)" requested_reply=0 destination="org.bluez" (uid=0 pid=1595 comm="/usr/sbin/bluetoothd "))
Sep  7 20:39:51 localhost pulseaudio[3565]: bluetooth-util.c: Error from ListAdapters reply: org.freedesktop.DBus.Error.AccessDenied
Sep  7 20:39:58 localhost pulseaudio[2124]: reserve-wrap.c: Failed to acquire reservation lock on device 'Audio0': Input/output error
Sep  7 20:39:59 localhost gnome-session[3583]: WARNING: Could not parse desktop file /home/bob/.config/autostart/xfconf-migration-4.6.desktop: Key file does not have key 'Name'
Sep  7 20:39:59 localhost gnome-session[3583]: WARNING: could not read /home/bob/.config/autostart/xfconf-migration-4.6.desktop
Sep  7 20:40:00 localhost pulseaudio[3745]: pid.c: Daemon already running.
Sep  7 20:41:36 localhost pulseaudio[2124]: reserve-wrap.c: Failed to acquire reservation lock on device 'Audio0': Input/output error
Sep  7 20:43:59 localhost pulseaudio[2124]: reserve-wrap.c: Failed to acquire reservation lock on device 'Audio0': Input/output error
Sep  7 20:49:52 localhost pulseaudio[2124]: reserve-wrap.c: Failed to acquire reservation lock on device 'Audio0': Input/output error
:

Comment 1 Bob Agel 2009-09-08 23:39:26 UTC
Very interesting!  Today, the only update was kmod-nvidia, yet now pulseaudio is working perfectly:

Sep  8 19:26:50 localhost dbus-daemon: Rejected send message, 2 matched rules; type="method_call", sender=":1.33" (uid=42 pid=1995 comm="/usr/bin/pulseaudio --start --log-target=syslog ") interface="org.bluez.Manager" member="ListAdapters" error name="(unset)" requested_reply=0 destination="org.bluez" (uid=0 pid=1590 comm="/usr/sbin/bluetoothd "))
Sep  8 19:26:50 localhost pulseaudio[1995]: bluetooth-util.c: Error from ListAdapters reply: org.freedesktop.DBus.Error.AccessDenied
Sep  8 19:26:54 localhost gnome-session[2013]: WARNING: Could not parse desktop file /home/bob/.config/autostart/xfconf-migration-4.6.desktop: Key file does not have key 'Name'
Sep  8 19:26:54 localhost gnome-session[2013]: WARNING: could not read /home/bob/.config/autostart/xfconf-migration-4.6.desktop
Sep  8 19:26:56 localhost kernel: fuse init (API version 7.11)
Sep  8 19:26:57 localhost pulseaudio[2188]: pid.c: Daemon already running.


Yesterday, without corresponding kmod-nvidia to the new kernel, akmod-nvidia was providing 3D.  Doubt this could have a bearing, but it's the only change.

Comment 2 Bob Agel 2009-09-08 23:46:55 UTC
Ooops!  Sorry; it's not fixed.  My volume slider was reset to 50% which resulted in 'normal' sound from Streamtuner, but no sound at all in games/online music.  Once slider was increased to audible level (100%) to hear other sounds, the static returned and the adjustment (reducing to 95% and then increasing to 100%) was necessary to return to 'normal' sounds.

Comment 3 Lennart Poettering 2009-09-16 21:22:12 UTC
Uh, percent base volumes don't really have any meaning. And what PA understands under "50%" is very different from what ALSA understands under it.

Is it possible that you have some kind of alsa-based mixer tool running that interferes with pa's volume handling?

Which tools did you use to look at the volume settings?

Comment 4 Bob Agel 2009-09-17 00:59:39 UTC
Just alsamixer -c0

No, there's nothing else involved.  I haven't added anything except for running much of what's included in http://www.dnmouse.org/autoten.html (codecs)  Now, I don't know what Dangermouse has included in "most codecs" so I suppose there's a chance that something there has interfered.

Comment 5 Lennart Poettering 2009-09-17 03:05:58 UTC
So you only ever looked and changed alsamixer -c0? Didn't use gnome-volume-control or its applet, or the Gnome hotkeys?

Most likely this is just a misunderstanding how the new mixer handling works: PA exposes a single slider that controls all mixer elements that are in the pipeline from the PCM stream to your speakers. For that we multiply the actual volume factors of each element. When setting the volume we go from the "outermost" (usually "Speaker" or "Master") to the "innermost" (usually "PCM") and try to configure exactly what the user asked for. That means the biggest volume change wil be done with the outermost slider while the inner sliders are usually fixed to something near 0dB. Unless the dB scales on the various elements are incorrect this means that you get the best quality possible, with the largest range and finest granularity the hw can provide. Then, on top of that we extend the range and granularity further in sw if the hw is too limited.

Now, the effect is that if you touch any of the volume tools that use PA the entire pipeline of elements in the alsa mixer will be changed. Could that explain what you are experiencing?

Comment 6 Bob Agel 2009-09-17 11:12:57 UTC
Certainly it's possible, although prior to the update everything was working correctly with the settings that I've shown.  Unfortunately for further testing, I'm headed out this morning for a 2 week vacation and won't be back until 10/5 at the earliest.  So, thanks for your time and efforts to date and I'll see if anything new occurs when I return.

Comment 7 Lennart Poettering 2009-10-14 22:05:32 UTC
Closing due to lack of response. Feel free to reopen if you can provide more data.

Comment 8 Bob Agel 2009-10-15 02:03:26 UTC
I must apologize for not following-up on this after vacation.  However, I've found that the problem seems to be related to Streamtuner and using Xmms.  When changing streams, any new stream comes in at max volume, while the rest of the system is behaving properly now.  So, since Xmms is not the default app for Streamtuner, I'll do some modifications on my own.

Again, apologies and thanks for your efforts.


Note You need to log in before you can comment on or make changes to this bug.